# Pi Hole

## Create docker network
```
docker network create -d macvlan \
    --subnet=192.168.1.5/24 --gateway=192.168.1.1 \
    --ip-range 192.168.1.59/28 \
    -o parent=eth0 \
    --aux-address="myserver=192.168.1.60" \
    macvlan0
```
then

```
sudo ip link set eth0 promisc on
sudo ip link add macvlan-shim link eth0 type macvlan mode bridge
sudo ip addr add 192.168.1.60/28 dev macvlan-shim
sudo ip link set macvlan-shim up
```

Check
 `ifconfig macvlan-shim`

## /usr/local/bin/pi-vlan.sh

```
#!/usr/bin/env bash
ip link add macvlan-shim link eth0 type macvlan mode bridge
ip addr add 192.168.1.60/28 dev macvlan-shim
ip link set macvlan-shim up
ifconfig macvlan-shim
```
## /etc/systemd/system/pi-vlan.service

```
[Unit]
After=network.target

[Service]
ExecStart=/usr/local/bin/pi-vlan.sh

[Install]
WantedBy=default.target
```
